﻿<telerik:RadPane Title="{x:Static strings:Major.Nouns}"
                 Header="{x:Static strings:Major.Nouns}"
                 Tag="60F3537A-7762-408B-B11F-16C6B8DFE744"
                 xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
                 x:Class="WordsBooklet.UserInterface.Windows.NounsPlayer"
                 xmlns:telerik="http://schemas.telerik.com/2008/xaml/presentation"
                 xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
                 CanUserPin="False" CanFloat="False" ContextMenuTemplate="{x:Null}"
                 xmlns:strings="clr-namespace:WordsBooklet.UserInterface.Resources.Strings"
                 Style="{DynamicResource RadPaneStyle}" Template="{DynamicResource RadPaneTemplate}"
                 xmlns:viewModels="clr-namespace:WordsBooklet.BusinessLayer.ViewModels;assembly=BusinessLayer"
                 xmlns:interactivity="clr-namespace:System.Windows.Interactivity;assembly=System.Windows.Interactivity"
                 CanUserClose="{Binding Path=IsPerformingLongRunningTask, Converter={StaticResource InvertedBooleanConverter}, Mode=OneWay}">
    <!--Data Context Object-->
    <telerik:RadPane.DataContext>
        <viewModels:NounsPlayerViewModel />
    </telerik:RadPane.DataContext>
    <!--RadPane Loaded Event Handler-->
    <interactivity:Interaction.Triggers>
        <interactivity:EventTrigger EventName="Loaded">
            <interactivity:InvokeCommandAction Command="{Binding LoadNounsHeadersCommand, Mode=Default}" />
        </interactivity:EventTrigger>
    </interactivity:Interaction.Triggers>
    <!--The Main Body-->
    <telerik:RadBusyIndicator IsBusy="{Binding IsPerformingLongRunningTask, Mode=OneWay}"
                              BusyContent="{Binding LongRunningTaskDescription, Mode=OneWay}">
        <GroupBox Header="{x:Static strings:Nouns.NounsInformation}"
                  Margin="15,3" Style="{StaticResource AnnotationGroupBox}">
            <DockPanel Margin="10,0">
                <!--Header Section-->
                <Grid DockPanel.Dock="Top">
                    <Grid.RowDefinitions>
                        <RowDefinition Height="Auto" />
                        <RowDefinition Height="Auto" />
                    </Grid.RowDefinitions>
                    <Grid.ColumnDefinitions>
                        <ColumnDefinition Width="Auto" />
                        <ColumnDefinition Width="*" />
                        <ColumnDefinition Width="Auto" />
                        <ColumnDefinition Width="Auto" />
                    </Grid.ColumnDefinitions>
                    <TextBlock Grid.Row="0" Grid.RowSpan="2" Grid.Column="0"
                               Margin="5,0" Text="{x:Static strings:Nouns.Name}"
                               Width="Auto" Height="Auto" HorizontalAlignment="Right" VerticalAlignment="Center" />
                    <telerik:RadAutoCompleteBox Grid.Row="0" Grid.RowSpan="2" Grid.Column="1"
                                                ScrollViewer.VerticalScrollBarVisibility="Auto"
                                                Height="Auto" Width="Auto" TextSearchPath="Name"
                                                ScrollViewer.HorizontalScrollBarVisibility="Auto"
                                                MaxHeight="105" Margin="5" MaxDropDownHeight="335"
                                                VerticalAlignment="Center" TextSearchMode="Contains"
                                                NoResultsContent="{x:Static strings:Wordbooks.NoResults}"
                                                ItemsSource="{Binding Path=StoredNounsHeaders, Mode=OneWay}"
                                                SelectedItems="{Binding Path=SelectedNounsHeaders, Mode=TwoWay}"
                                                IsEnabled="{Binding Path=IsUtteringNounDetail, Mode=OneWay, Converter={StaticResource InvertedBooleanConverter}}">
                        <telerik:RadAutoCompleteBox.BoxesItemStyle>
                            <Style TargetType="telerik:RadAutoCompleteBoxItem"
                                   BasedOn="{StaticResource RadAutoCompleteBoxItemStyle}">
                                <Setter Property="BorderThickness" Value="0" />
                            </Style>
                        </telerik:RadAutoCompleteBox.BoxesItemStyle>
                        <telerik:RadAutoCompleteBox.WatermarkContent>
                            <TextBlock TextAlignment="Center" Text="{x:Static strings:Nouns.WriteNameHere}" />
                        </telerik:RadAutoCompleteBox.WatermarkContent>
                        <telerik:RadAutoCompleteBox.BoxesItemTemplate>
                            <DataTemplate>
                                <Border BorderBrush="#67dbfe" Background="#e6f9ff"
                                        Margin="0,5" BorderThickness="1" CornerRadius="5">
                                    <Grid>
                                        <Grid.RowDefinitions>
                                            <RowDefinition Height="Auto" />
                                            <RowDefinition Height="Auto" />
                                        </Grid.RowDefinitions>
                                        <Grid.ColumnDefinitions>
                                            <ColumnDefinition Width="Auto" />
                                            <ColumnDefinition Width="Auto" />
                                            <ColumnDefinition Width="Auto" />
                                            <ColumnDefinition Width="50" />
                                            <ColumnDefinition Width="Auto" />
                                            <ColumnDefinition Width="Auto" />
                                        </Grid.ColumnDefinitions>
                                        <!--Nouns Header Wordbook Full Name-->
                                        <Border Grid.Row="0" Grid.Column="0" Width="Auto"
                                                BorderBrush="#67dbfe" BorderThickness="0,0,1,1">
                                            <TextBlock VerticalAlignment="Center" Margin="5"
                                                       Foreground="#0d0d0d" HorizontalAlignment="Right"
                                                       FontWeight="ExtraLight" Width="Auto" Height="Auto"
                                                       Text="{x:Static strings:Nouns.Wordbook}" FontSize="16" />
                                        </Border>
                                        <Border Grid.Row="0" Grid.Column="1"
                                                BorderBrush="#67dbfe" Width="Auto"
                                                Background="#FFFFFF" BorderThickness="0,0,1,1">
                                            <TextBlock Margin="5"
                                                       HorizontalAlignment="Stretch" Foreground="#0d0d0d"
                                                       Text="{Binding Path=Wordbook.FullName, Mode=OneWay}"
                                                       VerticalAlignment="Center" Width="Auto" Height="Auto"
                                                       FontWeight="ExtraLight" TextWrapping="Wrap" FontSize="17" />
                                        </Border>
                                        <!--Nouns Header Name-->
                                        <Border Grid.Row="1" Grid.Column="0" Width="Auto"
                                                BorderBrush="#67dbfe" BorderThickness="0,0,1,0">
                                            <TextBlock VerticalAlignment="Center" Margin="5"
                                                       Foreground="#0d0d0d" HorizontalAlignment="Right"
                                                       FontWeight="ExtraLight" Width="Auto" Height="Auto"
                                                       Text="{x:Static strings:Nouns.Name}" FontSize="16" />
                                        </Border>
                                        <Border Grid.Row="1" Grid.Column="1"
                                                BorderBrush="#67dbfe" Width="Auto"
                                                Background="#FFFFFF" BorderThickness="0,0,1,0">
                                            <TextBlock Text="{Binding Path=Name, Mode=OneWay}"
                                                       HorizontalAlignment="Stretch"
                                                       Foreground="#0d0d0d" Margin="5"
                                                       VerticalAlignment="Center" Width="Auto" Height="Auto"
                                                       FontWeight="ExtraLight" TextWrapping="Wrap" FontSize="17" />
                                        </Border>
                                        <!--Nouns Header Pronunciation Times-->
                                        <Border Grid.Row="0" Grid.Column="2" Width="Auto"
                                                BorderBrush="#67dbfe" BorderThickness="0,0,1,1">
                                            <TextBlock FontSize="16" Margin="5"
                                                       VerticalAlignment="Center"
                                                       Foreground="#0d0d0d" HorizontalAlignment="Right"
                                                       FontWeight="ExtraLight" Width="Auto" Height="Auto"
                                                       Text="{x:Static strings:Nouns.PronunciationsTimes}" />
                                        </Border>
                                        <Border Grid.Row="0" Grid.Column="3"
                                                BorderBrush="#67dbfe" Width="Auto"
                                                Background="#FFFFFF" BorderThickness="0,0,1,1">
                                            <TextBlock FontWeight="ExtraLight"
                                                       Margin="5" Foreground="#0d0d0d"
                                                       HorizontalAlignment="Center" FontSize="17"
                                                       VerticalAlignment="Center" Width="Auto" Height="Auto"
                                                       Text="{Binding Path=PronunciationTimes, Mode=OneWay}" />
                                        </Border>
                                        <!--Nouns Count-->
                                        <Border Grid.Row="1" Grid.Column="2" Width="Auto"
                                                BorderBrush="#67dbfe" BorderThickness="0,0,1,0">
                                            <TextBlock FontSize="16" Margin="5"
                                                       VerticalAlignment="Center"
                                                       Text="{x:Static strings:Nouns.NounsCount}"
                                                       Foreground="#0d0d0d" HorizontalAlignment="Right"
                                                       FontWeight="ExtraLight" Width="Auto" Height="Auto" />
                                        </Border>
                                        <Border Grid.Row="1" Grid.Column="3"
                                                BorderBrush="#67dbfe" Width="Auto"
                                                Background="#FFFFFF" BorderThickness="0,0,1,0">
                                            <TextBlock Margin="5" Width="Auto"
                                                       Foreground="#0d0d0d" FontSize="17"
                                                       Height="Auto" VerticalAlignment="Center"
                                                       Text="{Binding Path=NounsCount, Mode=OneWay}"
                                                       HorizontalAlignment="Center" FontWeight="ExtraLight" />
                                        </Border>
                                        <!--Nouns Header Creation Date And Time-->
                                        <Border Grid.Row="0" Grid.Column="4" Width="Auto"
                                                BorderBrush="#67dbfe" BorderThickness="0,0,1,1">
                                            <TextBlock FontSize="16" Margin="5"
                                                       VerticalAlignment="Center"
                                                       Text="{x:Static strings:Nouns.CreationDateTime}"
                                                       Foreground="#0d0d0d" HorizontalAlignment="Right"
                                                       FontWeight="ExtraLight" Width="Auto" Height="Auto" />
                                        </Border>
                                        <Border Grid.Row="0" Grid.Column="5" Width="Auto"
                                                BorderBrush="#67dbfe" CornerRadius="0,5,0,0"
                                                Background="#FFFFFF" BorderThickness="0,0,0,1">
                                            <TextBlock FontSize="17" Margin="5"
                                                       Foreground="#0d0d0d" Width="Auto"
                                                       Height="Auto" FontWeight="ExtraLight"
                                                       HorizontalAlignment="Center" VerticalAlignment="Center"
                                                       Text="{Binding Path=CreationDateTime, StringFormat='{}{0:MM/dd/yyyy - h:mm}', Mode=OneWay}" />
                                        </Border>
                                        <!--Nouns Header Last Update Date And Time-->
                                        <Border Grid.Row="1" Grid.Column="4" Width="Auto"
                                                BorderBrush="#67dbfe" BorderThickness="0,0,1,0">
                                            <TextBlock FontSize="16" Margin="5"
                                                       VerticalAlignment="Center"
                                                       Foreground="#0d0d0d" HorizontalAlignment="Right"
                                                       Text="{x:Static strings:Nouns.LastUpdateDateTime}"
                                                       FontWeight="ExtraLight" Width="Auto" Height="Auto" />
                                        </Border>
                                        <Border Grid.Row="1" Grid.Column="5" Width="Auto"
                                                Background="#FFFFFF" CornerRadius="0,0,5,0" BorderBrush="#67dbfe">
                                            <TextBlock Width="Auto" Height="Auto"
                                                       Foreground="#0d0d0d" Margin="5"
                                                       FontSize="17" VerticalAlignment="Center"
                                                       HorizontalAlignment="Center" FontWeight="ExtraLight"
                                                       Text="{Binding Path=LastUpdateDateTime, StringFormat='{}{0:MM/dd/yyyy - h:mm}', Mode=OneWay}" />
                                        </Border>
                                    </Grid>
                                </Border>
                            </DataTemplate>
                        </telerik:RadAutoCompleteBox.BoxesItemTemplate>
                        <telerik:RadAutoCompleteBox.FilteringBehavior>
                            <telerik:AsyncFilteringBehavior />
                        </telerik:RadAutoCompleteBox.FilteringBehavior>
                        <telerik:RadAutoCompleteBox.DropDownItemTemplate>
                            <DataTemplate>
                                <Border BorderBrush="#67dbfe" Background="#e6f9ff"
                                        Margin="5,0,5,5" BorderThickness="1" CornerRadius="5">
                                    <Border.Effect>
                                        <DropShadowEffect ShadowDepth="10" BlurRadius="10"
                                                          Color="#67dbfe" Direction="270" Opacity="0.5" />
                                    </Border.Effect>
                                    <Grid>
                                        <Grid.RowDefinitions>
                                            <RowDefinition Height="Auto" />
                                            <RowDefinition Height="Auto" />
                                        </Grid.RowDefinitions>
                                        <Grid.ColumnDefinitions>
                                            <ColumnDefinition Width="Auto" />
                                            <ColumnDefinition Width="*" />
                                            <ColumnDefinition Width="Auto" />
                                            <ColumnDefinition Width="75" />
                                        </Grid.ColumnDefinitions>
                                        <!--Nouns Header Name-->
                                        <Border Grid.Row="0" Grid.Column="0" Width="Auto"
                                                BorderBrush="#67dbfe" BorderThickness="0,0,1,1">
                                            <TextBlock HorizontalAlignment="Right" FontSize="16"
                                                       Margin="5" Text="{x:Static strings:Nouns.Name}"
                                                       TextAlignment="Center" VerticalAlignment="Center" />
                                        </Border>
                                        <Border Grid.Row="0" Grid.Column="1"
                                                BorderBrush="#67dbfe" Width="Auto"
                                                Background="#FFFFFF" BorderThickness="0,0,1,1">
                                            <TextBlock Margin="5" HorizontalAlignment="Left"
                                                       FontWeight="ExtraLight" FontSize="17"
                                                       VerticalAlignment="Center" Width="Auto"
                                                       Height="Auto" Text="{Binding Path=Name, Mode=OneWay}" />
                                        </Border>
                                        <!--Nouns Header Wordbook Full Name-->
                                        <Border Grid.Row="1" Grid.Column="0" Width="Auto"
                                                BorderBrush="#67dbfe" BorderThickness="0,0,1,0">
                                            <TextBlock Margin="5" HorizontalAlignment="Right"
                                                       TextAlignment="Center" VerticalAlignment="Center"
                                                       Text="{x:Static strings:Nouns.Wordbook}" FontSize="16" />
                                        </Border>
                                        <Border Grid.Row="1" Grid.Column="1" Grid.ColumnSpan="3" Width="Auto"
                                                Background="#FFFFFF" CornerRadius="0,0,5,0" BorderBrush="#67dbfe">
                                            <TextBlock VerticalAlignment="Center"
                                                       Width="Auto" Margin="5" HorizontalAlignment="Left"
                                                       FontWeight="ExtraLight" FontSize="17" Height="Auto"
                                                       Text="{Binding Path=Wordbook.FullName, Mode=OneWay}" />
                                        </Border>
                                        <!--Nouns Count Inside Nouns Header-->
                                        <Border Grid.Row="0" Grid.Column="2" Width="Auto"
                                                BorderBrush="#67dbfe" BorderThickness="0,0,1,1">
                                            <TextBlock Margin="5" HorizontalAlignment="Right"
                                                       TextAlignment="Center" VerticalAlignment="Center"
                                                       Text="{x:Static strings:Nouns.NounsCount}" FontSize="16" />
                                        </Border>
                                        <Border Grid.Row="0" Grid.Column="3" Width="Auto"
                                                BorderBrush="#67dbfe" CornerRadius="0,5,0,0"
                                                Background="#FFFFFF" BorderThickness="0,0,0,1">
                                            <TextBlock TextAlignment="Center"
                                                       FontWeight="ExtraLight" FontSize="17"
                                                       Margin="5" HorizontalAlignment="Center"
                                                       Text="{Binding Path=NounsCount, Mode=OneWay}"
                                                       VerticalAlignment="Center" Width="Auto" Height="Auto" />
                                        </Border>
                                    </Grid>
                                </Border>
                            </DataTemplate>
                        </telerik:RadAutoCompleteBox.DropDownItemTemplate>
                        <telerik:RadAutoCompleteBox.NoResultsContentTemplate>
                            <DataTemplate>
                                <StackPanel Orientation="Horizontal">
                                    <Grid Width="16" Height="16" Margin="3,0"
                                          VerticalAlignment="Center" HorizontalAlignment="Left">
                                        <Ellipse Stroke="Red" StrokeThickness="1" />
                                        <Path Fill="Red" Stretch="Fill" Margin="7 3"
                                              Data="M0,8 L2,8 2,10 0,10 z M0,0 L2,0 2,7 0,7 z" />
                                    </Grid>
                                    <TextBlock Margin="3,0" Text="{Binding Mode=Default}" />
                                </StackPanel>
                            </DataTemplate>
                        </telerik:RadAutoCompleteBox.NoResultsContentTemplate>
                    </telerik:RadAutoCompleteBox>
                    <!--Reload Nouns Headers Command-->
                    <telerik:RadButton Grid.Row="0" Grid.RowSpan="2" Grid.Column="2"
                                       Height="33" ToolTip="{x:Static strings:Nouns.ReloadNounsHeaders}"
                                       CornerRadius="5" Width="30" Style="{StaticResource GradientButtonStyle}"
                                       Margin="0,5,5,5" Command="{Binding LoadNounsHeadersCommand, Mode=Default}">
                        <telerik:RadButton.Content>
                            <Image Stretch="Fill" Source="../Resources/Images/Reload_128.png" />
                        </telerik:RadButton.Content>
                    </telerik:RadButton>
                    <!--Playing And Pausing Sounds Commands-->
                    <DockPanel Grid.Row="0" Grid.Column="3" Margin="5" LastChildFill="False">
                        <telerik:RadButton Command="{Binding Path=UtterNounsDetailsCommand, Mode=Default}"
                                           Height="36" Content="{x:Static strings:Nouns.StartPronunciation}"
                                           DockPanel.Dock="Left" CornerRadius="15,0,0,5" BorderThickness="2,2,0,2"
                                           Width="Auto" MinWidth="115" Style="{StaticResource GradientButtonStyle}" />
                        <telerik:RadButton DockPanel.Dock="Left" Height="36" Width="35"
                                           Command="{Binding Path=PauseUtteringCommand, Mode=Default}"
                                           BorderThickness="0,2" Style="{StaticResource GradientButtonStyle}"
                                           ToolTip="{x:Static strings:Nouns.PausePronunciation}" CornerRadius="0">
                            <telerik:RadButton.Content>
                                <Image Height="18" Width="18" Stretch="Fill"
                                       Source="../Resources/Images/Pause_128.png" />
                            </telerik:RadButton.Content>
                        </telerik:RadButton>
                        <telerik:RadButton DockPanel.Dock="Left" Height="36" Width="35"
                                           Style="{StaticResource GradientButtonStyle}"
                                           CornerRadius="0,5,15,0" BorderThickness="0,2,2,2"
                                           ToolTip="{x:Static strings:Nouns.ResumePronunciation}"
                                           Command="{Binding Path=ResumeUtteringCommand, Mode=Default}">
                            <telerik:RadButton.Content>
                                <Image Height="18" Width="18" Stretch="Fill"
                                       Source="../Resources/Images/Sound_128.png" />
                            </telerik:RadButton.Content>
                        </telerik:RadButton>
                    </DockPanel>
                    <!--Save Nouns Headers As Sound File Command-->
                    <telerik:RadButton Grid.Row="1" Grid.Column="3" Margin="5" DockPanel.Dock="Left"
                                       Command="{Binding Path=SaveAsSoundFileCommand, Mode=Default}"
                                       Width="Auto" MinWidth="170" Style="{StaticResource GradientButtonStyle}"
                                       Height="36" Content="{x:Static strings:Nouns.SavePronunciationAsSoundFile}" />
                </Grid>
                <!--Details Section-->
                <Border Margin="0,5,5,10" CornerRadius="2"
                        BorderThickness="1" BorderBrush="#2ECCFA">
                    <telerik:RadGridView IsFilteringAllowed="False"
                                         EnableRowVirtualization="True"
                                         FrozenColumnsSplitterVisibility="Collapsed"
                                         ColumnsSelectionButtonVisibility="Collapsed"
                                         AutoGenerateColumns="False" IsReadOnly="True"
                                         Margin="5" RowIndicatorVisibility="Collapsed"
                                         RowDetailsVisibilityMode="VisibleWhenSelected"
                                         ScrollViewer.HorizontalScrollBarVisibility="Disabled"
                                         RowStyle="{StaticResource GridViewHighlightedRowStyle}"
                                         CanUserResizeColumns="False" CanUserSortColumns="False"
                                         DataLoadMode="Asynchronous" EnableColumnVirtualization="True"
                                         ItemsSource="{Binding Path=SelectedNounsDetails, Mode=OneWay}"
                                         SelectedItem="{Binding Path=BeginUtteringNounsDetail, Mode=OneWay}"
                                         SelectionMode="Single" SelectionUnit="FullRow" CanUserSelect="False"
                                         ShowGroupPanel="False" GridLinesVisibility="Both" ScrollMode="RealTime">
                        <telerik:RadGridView.Columns>
                            <!--Noun Serial Number-->
                            <telerik:GridViewDataColumn Width="Auto" TextAlignment="Center"
                                                        DataMemberBinding="{Binding Path=SerialNumber, Mode=OneWay}">
                                <telerik:GridViewColumn.Header>
                                    <TextBlock TextAlignment="Center" TextWrapping="Wrap"
                                               FontStretch="Expanded" Foreground="#0b96c1"
                                               FontSize="14" Text="{x:Static strings:Nouns.Serial}" />
                                </telerik:GridViewColumn.Header>
                            </telerik:GridViewDataColumn>
                            <!--Unknown Singular Arabic Noun-->
                            <telerik:GridViewDataColumn Width="*"
                                                        DataMemberBinding="{Binding Path=UnknownSingularArabicCharacterSet, Mode=OneWay}">
                                <telerik:GridViewColumn.Header>
                                    <TextBlock TextAlignment="Center" TextWrapping="Wrap"
                                               Text="{x:Static strings:Nouns.UnknownSingularArabic}"
                                               FontStretch="Expanded" Foreground="#0b96c1" FontSize="14" />
                                </telerik:GridViewColumn.Header>
                            </telerik:GridViewDataColumn>
                            <!--Unknown Singular Norwegian Noun-->
                            <telerik:GridViewDataColumn Width="*"
                                                        DataMemberBinding="{Binding Path=UnknownSingularNorwegianCharacterSet, Mode=OneWay}">
                                <telerik:GridViewColumn.Header>
                                    <TextBlock TextAlignment="Center" TextWrapping="Wrap"
                                               Text="{x:Static strings:Nouns.UnknownSingularNorwegian}"
                                               FontStretch="Expanded" Foreground="#0b96c1" FontSize="14" />
                                </telerik:GridViewColumn.Header>
                            </telerik:GridViewDataColumn>
                            <!--Known Singular Arabic Noun-->
                            <telerik:GridViewDataColumn Width="*"
                                                        IsVisible="{Binding Path=UseKnownSingularArabicForm, Mode=OneWay}"
                                                        DataMemberBinding="{Binding Path=KnownSingularArabicCharacterSet,Mode=OneWay}">
                                <telerik:GridViewColumn.Header>
                                    <TextBlock TextAlignment="Center" TextWrapping="Wrap"
                                               Text="{x:Static strings:Nouns.KnownSingularArabic}"
                                               FontStretch="Expanded" Foreground="#0b96c1" FontSize="14" />
                                </telerik:GridViewColumn.Header>
                            </telerik:GridViewDataColumn>
                            <!--Known Singular Norwegian Noun-->
                            <telerik:GridViewDataColumn Width="*"
                                                        IsVisible="{Binding Path=UseKnownSingularNorwegianForm, Mode=OneWay}"
                                                        DataMemberBinding="{Binding Path=KnownSingularNorwegianCharacterSet, Mode=OneWay}">
                                <telerik:GridViewColumn.Header>
                                    <TextBlock TextAlignment="Center" TextWrapping="Wrap"
                                               Text="{x:Static strings:Nouns.KnownSingularNorwegian}"
                                               FontStretch="Expanded" Foreground="#0b96c1" FontSize="14" />
                                </telerik:GridViewColumn.Header>
                            </telerik:GridViewDataColumn>
                            <!--Unknown Plural Arabic Noun-->
                            <telerik:GridViewDataColumn Width="*"
                                                        IsVisible="{Binding Path=UseUnknownPluralArabicForm, Mode=OneWay}"
                                                        DataMemberBinding="{Binding Path=UnknownPluralArabicCharacterSet, Mode=OneWay}">
                                <telerik:GridViewColumn.Header>
                                    <TextBlock TextAlignment="Center" TextWrapping="Wrap"
                                               Text="{x:Static strings:Nouns.UnknownPluralArabic}"
                                               FontStretch="Expanded" Foreground="#0b96c1" FontSize="14" />
                                </telerik:GridViewColumn.Header>
                            </telerik:GridViewDataColumn>
                            <!--Unknown Plural Norwegian Noun-->
                            <telerik:GridViewDataColumn Width="*"
                                                        IsVisible="{Binding Path=UseUnknownPluralNorwegianForm, Mode=OneWay}"
                                                        DataMemberBinding="{Binding Path=UnknownPluralNorwegianCharacterSet, Mode=OneWay}">
                                <telerik:GridViewColumn.Header>
                                    <TextBlock TextAlignment="Center" TextWrapping="Wrap"
                                               Text="{x:Static strings:Nouns.UnknownPluralNorwegian}"
                                               FontStretch="Expanded" Foreground="#0b96c1" FontSize="14" />
                                </telerik:GridViewColumn.Header>
                            </telerik:GridViewDataColumn>
                            <!--Known Plural Arabic Noun-->
                            <telerik:GridViewDataColumn Width="*"
                                                        IsVisible="{Binding Path=UseKnownPluralArabicForm, Mode=OneWay}"
                                                        DataMemberBinding="{Binding Path=KnownPluralArabicCharacterSet, Mode=OneWay}">
                                <telerik:GridViewColumn.Header>
                                    <TextBlock TextAlignment="Center" TextWrapping="Wrap"
                                               Text="{x:Static strings:Nouns.KnownPluralArabic}"
                                               FontStretch="Expanded" Foreground="#0b96c1" FontSize="14" />
                                </telerik:GridViewColumn.Header>
                            </telerik:GridViewDataColumn>
                            <!--Known Plural Norwegian Noun-->
                            <telerik:GridViewDataColumn Width="*"
                                                        IsVisible="{Binding Path=UseKnownPluralNorwegianForm, Mode=OneWay}"
                                                        DataMemberBinding="{Binding Path=KnownPluralNorwegianCharacterSet, Mode=OneWay}">
                                <telerik:GridViewColumn.Header>
                                    <TextBlock TextAlignment="Center" TextWrapping="Wrap"
                                               Text="{x:Static strings:Nouns.KnownPluralNorwegian}"
                                               FontStretch="Expanded" Foreground="#0b96c1" FontSize="14" />
                                </telerik:GridViewColumn.Header>
                            </telerik:GridViewDataColumn>
                        </telerik:RadGridView.Columns>
                        <telerik:RadGridView.RowDetailsStyle>
                            <Style TargetType="telerik:DetailsPresenter">
                                <Setter Property="HorizontalContentAlignment" Value="Stretch" />
                            </Style>
                        </telerik:RadGridView.RowDetailsStyle>
                        <telerik:RadGridView.RowDetailsTemplate>
                            <DataTemplate>
                                <!--The Norwegian Example-->
                                <Border BorderBrush="#67dbfe" Background="#e6f9ff"
                                        Margin="5,2,5,13" BorderThickness="1" CornerRadius="5"
                                        Visibility="{Binding Path=NorwegianExampleCharacterSet, Mode=OneWay,
                                                             Converter={StaticResource NullToVisibilityConverterInstance}}">
                                    <Border.Effect>
                                        <DropShadowEffect ShadowDepth="10" BlurRadius="10"
                                                          Color="#67dbfe" Direction="270" Opacity="0.5" />
                                    </Border.Effect>
                                    <Grid>
                                        <Grid.RowDefinitions>
                                            <RowDefinition Height="Auto" />
                                            <RowDefinition Height="Auto" />
                                        </Grid.RowDefinitions>
                                        <Border Grid.Row="0" Width="Auto"
                                                BorderBrush="#67dbfe" BorderThickness="0,0,0,1">
                                            <TextBlock Margin="5" Foreground="#0d0d0d"
                                                       FontStretch="Expanded" FontWeight="Normal"
                                                       HorizontalAlignment="Stretch" FontSize="16"
                                                       Text="{x:Static strings:Nouns.NorwegianExample}"
                                                       TextAlignment="Center" VerticalAlignment="Center" />
                                        </Border>
                                        <Border Grid.Row="1" Width="Auto"
                                                CornerRadius="0,0,5,5" Background="#FFFFFF"
                                                BorderThickness="0,0,0,0" BorderBrush="#67dbfe">
                                            <TextBlock Margin="5" TextWrapping="NoWrap"
                                                       FontSize="16" TextAlignment="Center"
                                                       HorizontalAlignment="Stretch" VerticalAlignment="Center"
                                                       Text="{Binding Path=NorwegianExampleCharacterSet, Mode=OneWay}" />
                                        </Border>
                                    </Grid>
                                </Border>
                            </DataTemplate>
                        </telerik:RadGridView.RowDetailsTemplate>
                    </telerik:RadGridView>
                </Border>
            </DockPanel>
        </GroupBox>
    </telerik:RadBusyIndicator>
</telerik:RadPane>